Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TextWriter Class Reference

テキストライタ More...

`#include <TextWriter.h>`

Inheritance diagram for Lamp::TextWriter:

List of all members.

## Public Member Functions
virtual | ~TextWriter ()
| デストラクタ
virtual void | writeText (const String &text)
| テキストの書き出し
virtual void | writeText (const char *text)
| テキストの書き出し
virtual void | writeText (const char *text, int size)
| テキストの書き出し
virtual void | writeFormat (const char *format,...)
| フォーマットテキストの書き出し
## Protected Member Functions
| TextWriter ()
| コンストラクタ

## Detailed Description

テキストライタ

Definition at line 36 of file TextWriter.h.

## Member Function Documentation

void Lamp::TextWriter::writeFormat | ( | const char * | format,
|  | ... |
| ) | `[virtual]`

  | フォーマットテキストの書き出し printf()構文でフォーマットしたテキストデータを書き出します。 \nは\r\nに変換して出力されます。 Parameters:
  format | フォーマット
  ... | 可変長引数
Definition at line 85 of file TextWriter.cpp. References Assert, NULL, StdVsnprintf, and writeText(). Referenced by Lamp::TextSceneSaver::writeAmbientLight(), Lamp::TextSceneSaver::writeBasicMaterial(), Lamp::TextSceneSaver::writeBone(), Lamp::TextAnimationSaver::writeCameraAnimationData(), Lamp::TextAnimationSaver::writeCharacterModelAnimation(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), Lamp::TextCollisionSaver::writeCollisionLeaf(), Lamp::TextCollisionSaver::writeCollisionNode(), Lamp::TextCollisionSaver::writeCollisionNodeLink(), Lamp::TextSceneSaver::writeDirectionalLight(), Lamp::TextAnimationSaver::writeEulerArrayInterpolator(), Lamp::TextSceneSaver::writeFog(), Lamp::TextSceneSaver::writeLight(), Lamp::TextSceneSaver::writeLODSceneNode(), Lamp::TextSceneSaver::writeMaterial(), Lamp::TextSceneSaver::writeMeshData(), Lamp::TextSceneSaver::writePointLight(), Lamp::TextAnimationSaver::writeQuaternionArrayInterpolator(), Lamp::TextAnimationSaver::writeQuaternionLinearInterpolator(), Lamp::TextAnimationSaver::writeRotationConstantInterpolator(), Lamp::TextSceneSaver::writeSceneNode(), Lamp::TextAnimationSaver::writeSceneNodeAnimationData(), Lamp::TextCollisionSaver::writeStaticDeformedMeshCollision(), Lamp::TextCollisionSaver::writeStaticSphereCollision(), Lamp::TextSceneSaver::writeSurfaceTexture(), Lamp::TextAnimationSaver::writeVectorArrayInterpolator(), Lamp::TextAnimationSaver::writeVectorConstantInterpolator(), and Lamp::TextAnimationSaver::writeVectorLinearInterpolator().

void Lamp::TextWriter::writeText | ( | const char * | text,
|  | int | size
| ) | `[virtual]`

  | テキストの書き出し 指定されたサイズ分、char配列をテキストデータとして書き出します。 \nは\r\nに変換して出力されます。 Parameters:
  text | 書き出すテキスト
  size | 書き出すサイズ
Definition at line 57 of file TextWriter.cpp. References Assert, NULL, and Lamp::Writer::writeBytes().

void Lamp::TextWriter::writeText | ( | const char * | text | ) | `[virtual]`

  | テキストの書き出し NULL文字で終わるchar配列をテキストデータとして書き出します。 \nは\r\nに変換して出力されます。 NULL文字は出力しません。 Parameters:
  text | 書き出すテキスト
Definition at line 49 of file TextWriter.cpp. References Assert, NULL, StdStrlen, and writeText().

void Lamp::TextWriter::writeText | ( | const String & | text | ) | `[virtual]`

  | テキストの書き出し Stringをテキストデータとして書き出します。 \nは\r\nに変換して出力されます。 NULL文字は出力しません。 Parameters:
  text | 書き出すテキスト
Definition at line 44 of file TextWriter.cpp. References Lamp::String::getBytes(), and Lamp::String::getSize(). Referenced by Lamp::Logger::output(), Lamp::TextCollisionSaver::save(), Lamp::TextSceneSaver::writeAmbientLight(), Lamp::TextAnimationSaver::writeAnimationList(), Lamp::TextAnimationSaver::writeAnimationSet(), Lamp::TextAnimationSaver::writeAnimationSetLink(), Lamp::TextSceneSaver::writeBasicMaterial(), Lamp::TextSceneSaver::writeBasicMaterialLink(), Lamp::TextSceneSaver::writeBlockComment(), Lamp::TextCollisionSaver::writeBlockComment(), Lamp::TextAnimationSaver::writeBlockComment(), Lamp::TextSceneSaver::writeBone(), Lamp::TextSceneSaver::writeBoneLink(), Lamp::TextSceneSaver::writeBool(), Lamp::TextCollisionSaver::writeBool(), Lamp::TextAnimationSaver::writeBool(), Lamp::TextAnimationSaver::writeCameraAnimation(), Lamp::TextAnimationSaver::writeCameraAnimationData(), Lamp::TextAnimationSaver::writeCameraAnimationLink(), Lamp::TextSceneSaver::writeCharacterMesh(), Lamp::TextSceneSaver::writeCharacterModel(), Lamp::TextAnimationSaver::writeCharacterModelAnimation(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), Lamp::TextAnimationSaver::writeCharacterModelAnimationLink(), Lamp::TextCollisionSaver::writeCollisionLeaf(), Lamp::TextCollisionSaver::writeCollisionNode(), Lamp::TextCollisionSaver::writeCollisionNodeLink(), Lamp::TextSceneSaver::writeDirectionalLight(), Lamp::TextAnimationSaver::writeEulerArrayInterpolator(), Lamp::TextSceneSaver::writeFog(), writeFormat(), Lamp::TextSceneSaver::writeHeader(), Lamp::TextCollisionSaver::writeHeader(), Lamp::TextAnimationSaver::writeHeader(), Lamp::TextSceneSaver::writeLight(), Lamp::TextSceneSaver::writeLineComment(), Lamp::TextCollisionSaver::writeLineComment(), Lamp::TextAnimationSaver::writeLineComment(), Lamp::TextSceneSaver::writeLink(), Lamp::TextAnimationSaver::writeLink(), Lamp::TextSceneSaver::writeLODSceneNode(), Lamp::TextSceneSaver::writeMaterial(), Lamp::TextSceneSaver::writeMaterialLinkList(), Lamp::TextSceneSaver::writeMeshData(), Lamp::TextSceneSaver::writeMeshLink(), Lamp::TextSceneSaver::writeModelLink(), Lamp::TextSceneSaver::writeObjectList(), Lamp::TextSceneSaver::writePicture(), Lamp::TextSceneSaver::writePointLight(), Lamp::TextAnimationSaver::writeQuaternionArrayInterpolator(), Lamp::TextAnimationSaver::writeQuaternionLinearInterpolator(), Lamp::TextSceneSaver::writeRigidMesh(), Lamp::TextAnimationSaver::writeRotationConstantInterpolator(), Lamp::TextAnimationSaver::writeRotationInterpolator(), Lamp::TextSceneSaver::writeSceneNode(), Lamp::TextAnimationSaver::writeSceneNodeAnimation(), Lamp::TextAnimationSaver::writeSceneNodeAnimationData(), Lamp::TextAnimationSaver::writeSceneNodeAnimationLink(), Lamp::TextSceneSaver::writeSceneNodeLink(), Lamp::TextSceneSaver::writeStandardModel(), Lamp::TextCollisionSaver::writeStaticDeformedMeshCollision(), Lamp::TextCollisionSaver::writeStaticSphereCollision(), Lamp::TextSceneSaver::writeSurfaceTexture(), writeText(), Lamp::TextSceneSaver::writeTextureLink(), Lamp::TextAnimationSaver::writeVectorArrayInterpolator(), Lamp::TextAnimationSaver::writeVectorConstantInterpolator(), Lamp::TextAnimationSaver::writeVectorInterpolator(), and Lamp::TextAnimationSaver::writeVectorLinearInterpolator().

The documentation for this class was generated from the following files:

- TextWriter.h
- TextWriter.cpp